Summary:        Portable DHCPv6 implementation
Name:           dibbler
Version:        1.0.1
Release:        3%{?dist}
License:        GPLv2
URL:            https://github.com/tomaszmrugalski/dibbler
Source0:        http://klub.com.pl/dhcpv6/dibbler/dibbler-%{version}.tar.gz
Patch3000:      dibbler-1.0.1-fno-common.patch
 
BuildRequires:  gcc-c++


%description
Dibbler is an open source, portable implementation of DHCPv6 protocol. It offers a server, 
a client, a relay and requestor.
 
%package client
Summary:	Dibbler, DHCPv6 client
 
%description client 
This package provides DHCPv6 client.
  
%package relay
Summary:	Dibbler, DHCPv6 relay
 
%description relay
This package provides DHCPv6 relay.
  
%package requestor
Summary:	Dibbler, DHCPv6 request generator
 
%description requestor
This package provides DHCPv6 request generator.
  
%package server
Summary:	Dibbler, DHCPv6 server
 
%description server
This package provides DHCPv6 server.
  
%package docs
Summary:	Dibbler documentation
BuildArch:	noarch
 
%description docs 
This package provides dibbler documentation.
 
 
%prep
%autosetup -n dibbler-%{version} -p1
 
 
%build
%configure
%make_build
 
 
%install
%make_install
 
rm %{buildroot}%{_pkgdocdir}/LICENSE
 
install -p -d -m 755 %{buildroot}%{_sharedstatedir}/dibbler
install -p -d -m 755 %{buildroot}%{_sysconfdir}/dibbler
 
# install configuration files
for config in client relay server; do
    cp -p doc/examples/$config.conf %{buildroot}%{_sysconfdir}/dibbler
done
 
# remove example files 
for file in client-win32.conf server-win32.conf; do
    rm %{buildroot}%{_pkgdocdir}/examples/$file
done
 
for file in client-notify-bsd.sh client-notify-macos.sh; do
    rm %{buildroot}%{_pkgdocdir}/scripts/notify-scripts/$file
done
 
 
%files client
%license LICENSE
%dir %{_sysconfdir}/dibbler
%config(noreplace) %{_sysconfdir}/dibbler/client.conf
%{_sbindir}/dibbler-client
%dir %{_sharedstatedir}/dibbler
%{_mandir}/man8/dibbler-client.8*
  
%files relay
%license LICENSE
%dir %{_sysconfdir}/dibbler
%config(noreplace) %{_sysconfdir}/dibbler/relay.conf
%{_sbindir}/dibbler-relay
%dir %{_sharedstatedir}/dibbler
%{_mandir}/man8/dibbler-relay.8*
  
%files requestor
%license LICENSE
%{_sbindir}/dibbler-requestor
%dir %{_sharedstatedir}/dibbler
  
%files server
%license LICENSE
%dir %{_sysconfdir}/dibbler
%config(noreplace) %{_sysconfdir}/dibbler/server.conf
%{_sbindir}/dibbler-server
%dir %{_sharedstatedir}/dibbler
%{_mandir}/man8/dibbler-server.8*
 
%files docs
%license LICENSE
%dir %{_pkgdocdir}
%{_pkgdocdir}/CHANGELOG
%{_pkgdocdir}/RELNOTES
%{_pkgdocdir}/dibbler-user.pdf
%dir %{_pkgdocdir}/examples
%dir %{_pkgdocdir}/scripts
%{_pkgdocdir}/examples/*.conf
%{_pkgdocdir}/scripts/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0.1-1
- initial build
